package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class FragmentReportFilterEditBindingImpl extends FragmentReportFilterEditBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = new androidx.databinding.ViewDataBinding.IncludedLayouts(15);
        sIncludes.setIncludes(0, 
            new String[] {"item_createnew"},
            new int[] {13},
            new int[] {com.toughra.ustadmobile.R.layout.item_createnew});
        sViewsWithIds = new android.util.SparseIntArray();
        sViewsWithIds.put(R.id.item_filter_rv, 14);
    }
    // views
    @NonNull
    private final androidx.constraintlayout.widget.ConstraintLayout mboundView0;
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback52;
    // values
    // listeners
    // Inverse Binding Event Handlers
    private androidx.databinding.InverseBindingListener fragmentReportFilterEditDialogConditionTextselectedMessageIdOptionAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of reportFilter.reportFilterCondition
            //         is reportFilter.setReportFilterCondition((int) callbackArg_0)
            int callbackArg_0 = com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.getSelectedMessageIdOption(fragmentReportFilterEditDialogConditionText);
            // localize variables for thread safety
            // reportFilter != null
            boolean reportFilterJavaLangObjectNull = false;
            // reportFilter
            com.ustadmobile.lib.db.entities.ReportFilter reportFilter = mReportFilter;
            // reportFilter.reportFilterCondition
            int reportFilterReportFilterCondition = 0;



            reportFilterJavaLangObjectNull = (reportFilter) != (null);
            if (reportFilterJavaLangObjectNull) {




                reportFilter.setReportFilterCondition(((int) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener fragmentReportFilterEditDialogFieldTextselectedMessageIdOptionAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of reportFilter.reportFilterField
            //         is reportFilter.setReportFilterField((int) callbackArg_0)
            int callbackArg_0 = com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.getSelectedMessageIdOption(fragmentReportFilterEditDialogFieldText);
            // localize variables for thread safety
            // reportFilter != null
            boolean reportFilterJavaLangObjectNull = false;
            // reportFilter
            com.ustadmobile.lib.db.entities.ReportFilter reportFilter = mReportFilter;
            // reportFilter.reportFilterField
            int reportFilterReportFilterField = 0;



            reportFilterJavaLangObjectNull = (reportFilter) != (null);
            if (reportFilterJavaLangObjectNull) {




                reportFilter.setReportFilterField(((int) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener fragmentReportFilterEditDialogValuesBetweenXTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of reportFilter.reportFilterValueBetweenX
            //         is reportFilter.setReportFilterValueBetweenX((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(fragmentReportFilterEditDialogValuesBetweenXText);
            // localize variables for thread safety
            // reportFilter != null
            boolean reportFilterJavaLangObjectNull = false;
            // reportFilter
            com.ustadmobile.lib.db.entities.ReportFilter reportFilter = mReportFilter;
            // reportFilter.reportFilterValueBetweenX
            java.lang.String reportFilterReportFilterValueBetweenX = null;



            reportFilterJavaLangObjectNull = (reportFilter) != (null);
            if (reportFilterJavaLangObjectNull) {




                reportFilter.setReportFilterValueBetweenX(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener fragmentReportFilterEditDialogValuesBetweenYTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of reportFilter.reportFilterValueBetweenY
            //         is reportFilter.setReportFilterValueBetweenY((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(fragmentReportFilterEditDialogValuesBetweenYText);
            // localize variables for thread safety
            // reportFilter != null
            boolean reportFilterJavaLangObjectNull = false;
            // reportFilter
            com.ustadmobile.lib.db.entities.ReportFilter reportFilter = mReportFilter;
            // reportFilter.reportFilterValueBetweenY
            java.lang.String reportFilterReportFilterValueBetweenY = null;



            reportFilterJavaLangObjectNull = (reportFilter) != (null);
            if (reportFilterJavaLangObjectNull) {




                reportFilter.setReportFilterValueBetweenY(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener fragmentReportFilterEditDialogValuesNumberTextandroidTextAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of reportFilter.reportFilterValue
            //         is reportFilter.setReportFilterValue((java.lang.String) callbackArg_0)
            java.lang.String callbackArg_0 = androidx.databinding.adapters.TextViewBindingAdapter.getTextString(fragmentReportFilterEditDialogValuesNumberText);
            // localize variables for thread safety
            // reportFilter != null
            boolean reportFilterJavaLangObjectNull = false;
            // reportFilter.reportFilterValue
            java.lang.String reportFilterReportFilterValue = null;
            // reportFilter
            com.ustadmobile.lib.db.entities.ReportFilter reportFilter = mReportFilter;



            reportFilterJavaLangObjectNull = (reportFilter) != (null);
            if (reportFilterJavaLangObjectNull) {




                reportFilter.setReportFilterValue(((java.lang.String) (callbackArg_0)));
            }
        }
    };
    private androidx.databinding.InverseBindingListener fragmentReportFilterEditDialogValuesTextselectedMessageIdOptionAttrChanged = new androidx.databinding.InverseBindingListener() {
        @Override
        public void onChange() {
            // Inverse of reportFilter.reportFilterDropDownValue
            //         is reportFilter.setReportFilterDropDownValue((int) callbackArg_0)
            int callbackArg_0 = com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.getSelectedMessageIdOption(fragmentReportFilterEditDialogValuesText);
            // localize variables for thread safety
            // reportFilter != null
            boolean reportFilterJavaLangObjectNull = false;
            // reportFilter
            com.ustadmobile.lib.db.entities.ReportFilter reportFilter = mReportFilter;
            // reportFilter.reportFilterDropDownValue
            int reportFilterReportFilterDropDownValue = 0;



            reportFilterJavaLangObjectNull = (reportFilter) != (null);
            if (reportFilterJavaLangObjectNull) {




                reportFilter.setReportFilterDropDownValue(((int) (callbackArg_0)));
            }
        }
    };

    public FragmentReportFilterEditBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 15, sIncludes, sViewsWithIds));
    }
    private FragmentReportFilterEditBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 1
            , (com.ustadmobile.port.android.view.IdOptionAutoCompleteTextView) bindings[4]
            , (com.google.android.material.textfield.TextInputLayout) bindings[3]
            , (com.ustadmobile.port.android.view.IdOptionAutoCompleteTextView) bindings[2]
            , (com.google.android.material.textfield.TextInputLayout) bindings[1]
            , (com.google.android.material.textfield.TextInputEditText) bindings[10]
            , (com.google.android.material.textfield.TextInputLayout) bindings[9]
            , (com.google.android.material.textfield.TextInputEditText) bindings[12]
            , (com.google.android.material.textfield.TextInputLayout) bindings[11]
            , (com.google.android.material.textfield.TextInputLayout) bindings[5]
            , (com.google.android.material.textfield.TextInputEditText) bindings[8]
            , (com.google.android.material.textfield.TextInputLayout) bindings[7]
            , (com.ustadmobile.port.android.view.IdOptionAutoCompleteTextView) bindings[6]
            , (com.toughra.ustadmobile.databinding.ItemCreatenewBinding) bindings[13]
            , (androidx.recyclerview.widget.RecyclerView) bindings[14]
            );
        this.fragmentReportFilterEditDialogConditionText.setTag(null);
        this.fragmentReportFilterEditDialogConditionTextinputlayout.setTag(null);
        this.fragmentReportFilterEditDialogFieldText.setTag(null);
        this.fragmentReportFilterEditDialogFieldTextinputlayout.setTag(null);
        this.fragmentReportFilterEditDialogValuesBetweenXText.setTag(null);
        this.fragmentReportFilterEditDialogValuesBetweenXTextinputlayout.setTag(null);
        this.fragmentReportFilterEditDialogValuesBetweenYText.setTag(null);
        this.fragmentReportFilterEditDialogValuesBetweenYTextinputlayout.setTag(null);
        this.fragmentReportFilterEditDialogValuesDropdownTextinputlayout.setTag(null);
        this.fragmentReportFilterEditDialogValuesNumberText.setTag(null);
        this.fragmentReportFilterEditDialogValuesNumberTextinputlayout.setTag(null);
        this.fragmentReportFilterEditDialogValuesText.setTag(null);
        setContainedBinding(this.itemFilterCreateNew);
        this.mboundView0 = (androidx.constraintlayout.widget.ConstraintLayout) bindings[0];
        this.mboundView0.setTag(null);
        setRootTag(root);
        // listeners
        mCallback52 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x4000L;
        }
        itemFilterCreateNew.invalidateAll();
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        if (itemFilterCreateNew.hasPendingBindings()) {
            return true;
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.conditionOptions == variableId) {
            setConditionOptions((java.util.List<com.ustadmobile.core.util.IdOption>) variable);
        }
        else if (BR.fieldOptions == variableId) {
            setFieldOptions((java.util.List<com.ustadmobile.core.util.IdOption>) variable);
        }
        else if (BR.reportFilter == variableId) {
            setReportFilter((com.ustadmobile.lib.db.entities.ReportFilter) variable);
        }
        else if (BR.conditionsErrorText == variableId) {
            setConditionsErrorText((java.lang.String) variable);
        }
        else if (BR.createNewFilter == variableId) {
            setCreateNewFilter((java.lang.String) variable);
        }
        else if (BR.activityEventHandler == variableId) {
            setActivityEventHandler((com.ustadmobile.port.android.view.ReportFilterEditFragmentEventHandler) variable);
        }
        else if (BR.mPresenter == variableId) {
            setMPresenter((com.ustadmobile.core.controller.ReportFilterEditPresenter) variable);
        }
        else if (BR.valuesErrorText == variableId) {
            setValuesErrorText((java.lang.String) variable);
        }
        else if (BR.fieldSelectionListener == variableId) {
            setFieldSelectionListener((com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption>) variable);
        }
        else if (BR.fieldErrorText == variableId) {
            setFieldErrorText((java.lang.String) variable);
        }
        else if (BR.dropDownValueOptions == variableId) {
            setDropDownValueOptions((java.util.List<com.ustadmobile.core.util.IdOption>) variable);
        }
        else if (BR.conditionSelectionListener == variableId) {
            setConditionSelectionListener((com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption>) variable);
        }
        else if (BR.valuesSelectionListener == variableId) {
            setValuesSelectionListener((com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption>) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setConditionOptions(@Nullable java.util.List<com.ustadmobile.core.util.IdOption> ConditionOptions) {
        this.mConditionOptions = ConditionOptions;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.conditionOptions);
        super.requestRebind();
    }
    public void setFieldOptions(@Nullable java.util.List<com.ustadmobile.core.util.IdOption> FieldOptions) {
        this.mFieldOptions = FieldOptions;
        synchronized(this) {
            mDirtyFlags |= 0x4L;
        }
        notifyPropertyChanged(BR.fieldOptions);
        super.requestRebind();
    }
    public void setReportFilter(@Nullable com.ustadmobile.lib.db.entities.ReportFilter ReportFilter) {
        this.mReportFilter = ReportFilter;
        synchronized(this) {
            mDirtyFlags |= 0x8L;
        }
        notifyPropertyChanged(BR.reportFilter);
        super.requestRebind();
    }
    public void setConditionsErrorText(@Nullable java.lang.String ConditionsErrorText) {
        this.mConditionsErrorText = ConditionsErrorText;
        synchronized(this) {
            mDirtyFlags |= 0x10L;
        }
        notifyPropertyChanged(BR.conditionsErrorText);
        super.requestRebind();
    }
    public void setCreateNewFilter(@Nullable java.lang.String CreateNewFilter) {
        this.mCreateNewFilter = CreateNewFilter;
        synchronized(this) {
            mDirtyFlags |= 0x20L;
        }
        notifyPropertyChanged(BR.createNewFilter);
        super.requestRebind();
    }
    public void setActivityEventHandler(@Nullable com.ustadmobile.port.android.view.ReportFilterEditFragmentEventHandler ActivityEventHandler) {
        this.mActivityEventHandler = ActivityEventHandler;
        synchronized(this) {
            mDirtyFlags |= 0x40L;
        }
        notifyPropertyChanged(BR.activityEventHandler);
        super.requestRebind();
    }
    public void setMPresenter(@Nullable com.ustadmobile.core.controller.ReportFilterEditPresenter MPresenter) {
        this.mMPresenter = MPresenter;
    }
    public void setValuesErrorText(@Nullable java.lang.String ValuesErrorText) {
        this.mValuesErrorText = ValuesErrorText;
        synchronized(this) {
            mDirtyFlags |= 0x100L;
        }
        notifyPropertyChanged(BR.valuesErrorText);
        super.requestRebind();
    }
    public void setFieldSelectionListener(@Nullable com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption> FieldSelectionListener) {
        this.mFieldSelectionListener = FieldSelectionListener;
        synchronized(this) {
            mDirtyFlags |= 0x200L;
        }
        notifyPropertyChanged(BR.fieldSelectionListener);
        super.requestRebind();
    }
    public void setFieldErrorText(@Nullable java.lang.String FieldErrorText) {
        this.mFieldErrorText = FieldErrorText;
        synchronized(this) {
            mDirtyFlags |= 0x400L;
        }
        notifyPropertyChanged(BR.fieldErrorText);
        super.requestRebind();
    }
    public void setDropDownValueOptions(@Nullable java.util.List<com.ustadmobile.core.util.IdOption> DropDownValueOptions) {
        this.mDropDownValueOptions = DropDownValueOptions;
        synchronized(this) {
            mDirtyFlags |= 0x800L;
        }
        notifyPropertyChanged(BR.dropDownValueOptions);
        super.requestRebind();
    }
    public void setConditionSelectionListener(@Nullable com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption> ConditionSelectionListener) {
        this.mConditionSelectionListener = ConditionSelectionListener;
        synchronized(this) {
            mDirtyFlags |= 0x1000L;
        }
        notifyPropertyChanged(BR.conditionSelectionListener);
        super.requestRebind();
    }
    public void setValuesSelectionListener(@Nullable com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption> ValuesSelectionListener) {
        this.mValuesSelectionListener = ValuesSelectionListener;
        synchronized(this) {
            mDirtyFlags |= 0x2000L;
        }
        notifyPropertyChanged(BR.valuesSelectionListener);
        super.requestRebind();
    }

    @Override
    public void setLifecycleOwner(@Nullable androidx.lifecycle.LifecycleOwner lifecycleOwner) {
        super.setLifecycleOwner(lifecycleOwner);
        itemFilterCreateNew.setLifecycleOwner(lifecycleOwner);
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
            case 0 :
                return onChangeItemFilterCreateNew((com.toughra.ustadmobile.databinding.ItemCreatenewBinding) object, fieldId);
        }
        return false;
    }
    private boolean onChangeItemFilterCreateNew(com.toughra.ustadmobile.databinding.ItemCreatenewBinding ItemFilterCreateNew, int fieldId) {
        if (fieldId == BR._all) {
            synchronized(this) {
                    mDirtyFlags |= 0x1L;
            }
            return true;
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.util.List<com.ustadmobile.core.util.IdOption> conditionOptions = mConditionOptions;
        java.util.List<com.ustadmobile.core.util.IdOption> fieldOptions = mFieldOptions;
        com.ustadmobile.lib.db.entities.ReportFilter reportFilter = mReportFilter;
        java.lang.String conditionsErrorText = mConditionsErrorText;
        java.lang.String createNewFilter = mCreateNewFilter;
        com.ustadmobile.port.android.view.ReportFilterEditFragmentEventHandler activityEventHandler = mActivityEventHandler;
        int reportFilterReportFilterCondition = 0;
        java.lang.String valuesErrorText = mValuesErrorText;
        java.lang.String reportFilterReportFilterValueBetweenX = null;
        com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption> fieldSelectionListener = mFieldSelectionListener;
        java.lang.String fieldErrorText = mFieldErrorText;
        java.util.List<com.ustadmobile.core.util.IdOption> dropDownValueOptions = mDropDownValueOptions;
        com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption> conditionSelectionListener = mConditionSelectionListener;
        int reportFilterReportFilterField = 0;
        java.lang.String reportFilterReportFilterValueBetweenY = null;
        java.lang.String reportFilterReportFilterValue = null;
        int reportFilterReportFilterDropDownValue = 0;
        com.ustadmobile.port.android.view.DropDownListAutoCompleteTextView.OnDropDownListItemSelectedListener<com.ustadmobile.core.util.IdOption> valuesSelectionListener = mValuesSelectionListener;

        if ((dirtyFlags & 0x400aL) != 0) {
        }
        if ((dirtyFlags & 0x400cL) != 0) {
        }
        if ((dirtyFlags & 0x480eL) != 0) {


            if ((dirtyFlags & 0x400aL) != 0) {

                    if (reportFilter != null) {
                        // read reportFilter.reportFilterCondition
                        reportFilterReportFilterCondition = reportFilter.getReportFilterCondition();
                    }
            }
            if ((dirtyFlags & 0x4008L) != 0) {

                    if (reportFilter != null) {
                        // read reportFilter.reportFilterValueBetweenX
                        reportFilterReportFilterValueBetweenX = reportFilter.getReportFilterValueBetweenX();
                        // read reportFilter.reportFilterValueBetweenY
                        reportFilterReportFilterValueBetweenY = reportFilter.getReportFilterValueBetweenY();
                        // read reportFilter.reportFilterValue
                        reportFilterReportFilterValue = reportFilter.getReportFilterValue();
                    }
            }
            if ((dirtyFlags & 0x400cL) != 0) {

                    if (reportFilter != null) {
                        // read reportFilter.reportFilterField
                        reportFilterReportFilterField = reportFilter.getReportFilterField();
                    }
            }
            if ((dirtyFlags & 0x4808L) != 0) {

                    if (reportFilter != null) {
                        // read reportFilter.reportFilterDropDownValue
                        reportFilterReportFilterDropDownValue = reportFilter.getReportFilterDropDownValue();
                    }
            }
        }
        if ((dirtyFlags & 0x4010L) != 0) {
        }
        if ((dirtyFlags & 0x4020L) != 0) {
        }
        if ((dirtyFlags & 0x4100L) != 0) {
        }
        if ((dirtyFlags & 0x4200L) != 0) {
        }
        if ((dirtyFlags & 0x4400L) != 0) {
        }
        if ((dirtyFlags & 0x4808L) != 0) {
        }
        if ((dirtyFlags & 0x5000L) != 0) {
        }
        if ((dirtyFlags & 0x6000L) != 0) {
        }
        // batch finished
        if ((dirtyFlags & 0x5000L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setOnMessageIdOptionSelected(this.fragmentReportFilterEditDialogConditionText, conditionSelectionListener);
        }
        if ((dirtyFlags & 0x4000L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setSelectedMessageIdListener(this.fragmentReportFilterEditDialogConditionText, fragmentReportFilterEditDialogConditionTextselectedMessageIdOptionAttrChanged);
            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setSelectedMessageIdListener(this.fragmentReportFilterEditDialogFieldText, fragmentReportFilterEditDialogFieldTextselectedMessageIdOptionAttrChanged);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.fragmentReportFilterEditDialogValuesBetweenXText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, fragmentReportFilterEditDialogValuesBetweenXTextandroidTextAttrChanged);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.fragmentReportFilterEditDialogValuesBetweenYText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, fragmentReportFilterEditDialogValuesBetweenYTextandroidTextAttrChanged);
            androidx.databinding.adapters.TextViewBindingAdapter.setTextWatcher(this.fragmentReportFilterEditDialogValuesNumberText, (androidx.databinding.adapters.TextViewBindingAdapter.BeforeTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.OnTextChanged)null, (androidx.databinding.adapters.TextViewBindingAdapter.AfterTextChanged)null, fragmentReportFilterEditDialogValuesNumberTextandroidTextAttrChanged);
            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setSelectedMessageIdListener(this.fragmentReportFilterEditDialogValuesText, fragmentReportFilterEditDialogValuesTextselectedMessageIdOptionAttrChanged);
            this.itemFilterCreateNew.setOnClickNew(mCallback52);
        }
        if ((dirtyFlags & 0x400aL) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setMessageIdOptions(this.fragmentReportFilterEditDialogConditionText, conditionOptions, reportFilterReportFilterCondition);
        }
        if ((dirtyFlags & 0x4010L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.fragmentReportFilterEditDialogConditionTextinputlayout, conditionsErrorText);
        }
        if ((dirtyFlags & 0x4200L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setOnMessageIdOptionSelected(this.fragmentReportFilterEditDialogFieldText, fieldSelectionListener);
        }
        if ((dirtyFlags & 0x400cL) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setMessageIdOptions(this.fragmentReportFilterEditDialogFieldText, fieldOptions, reportFilterReportFilterField);
        }
        if ((dirtyFlags & 0x4400L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.fragmentReportFilterEditDialogFieldTextinputlayout, fieldErrorText);
        }
        if ((dirtyFlags & 0x4008L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.fragmentReportFilterEditDialogValuesBetweenXText, reportFilterReportFilterValueBetweenX);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.fragmentReportFilterEditDialogValuesBetweenYText, reportFilterReportFilterValueBetweenY);
            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.fragmentReportFilterEditDialogValuesNumberText, reportFilterReportFilterValue);
        }
        if ((dirtyFlags & 0x4100L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.fragmentReportFilterEditDialogValuesBetweenXTextinputlayout, valuesErrorText);
            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.fragmentReportFilterEditDialogValuesBetweenYTextinputlayout, valuesErrorText);
            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.fragmentReportFilterEditDialogValuesDropdownTextinputlayout, valuesErrorText);
            com.ustadmobile.port.android.view.binding.TextInputLayoutBindingsKt.setErrorText(this.fragmentReportFilterEditDialogValuesNumberTextinputlayout, valuesErrorText);
        }
        if ((dirtyFlags & 0x6000L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setOnMessageIdOptionSelected(this.fragmentReportFilterEditDialogValuesText, valuesSelectionListener);
        }
        if ((dirtyFlags & 0x4808L) != 0) {
            // api target 1

            com.ustadmobile.port.android.view.binding.MessageIdAutoCompleteTextViewBindingsKt.setMessageIdOptions(this.fragmentReportFilterEditDialogValuesText, dropDownValueOptions, reportFilterReportFilterDropDownValue);
        }
        if ((dirtyFlags & 0x4020L) != 0) {
            // api target 1

            this.itemFilterCreateNew.setCreateNewText(createNewFilter);
        }
        executeBindingsOn(itemFilterCreateNew);
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        // localize variables for thread safety
        // activityEventHandler != null
        boolean activityEventHandlerJavaLangObjectNull = false;
        // activityEventHandler
        com.ustadmobile.port.android.view.ReportFilterEditFragmentEventHandler activityEventHandler = mActivityEventHandler;



        activityEventHandlerJavaLangObjectNull = (activityEventHandler) != (null);
        if (activityEventHandlerJavaLangObjectNull) {


            activityEventHandler.onClickNewItemFilter();
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): itemFilterCreateNew
        flag 1 (0x2L): conditionOptions
        flag 2 (0x3L): fieldOptions
        flag 3 (0x4L): reportFilter
        flag 4 (0x5L): conditionsErrorText
        flag 5 (0x6L): createNewFilter
        flag 6 (0x7L): activityEventHandler
        flag 7 (0x8L): mPresenter
        flag 8 (0x9L): valuesErrorText
        flag 9 (0xaL): fieldSelectionListener
        flag 10 (0xbL): fieldErrorText
        flag 11 (0xcL): dropDownValueOptions
        flag 12 (0xdL): conditionSelectionListener
        flag 13 (0xeL): valuesSelectionListener
        flag 14 (0xfL): null
    flag mapping end*/
    //end
}